Plugin Set Active State
Change the active state of a plugin. This operation only applies to supervised plugins. - `active`: starts the supervised plugin process. - `inactive`: stops the supervised plugin process. External plugins cannot be managed with this endpoint and will return a bad request error.
Change the active state of a plugin.
This operation only applies to supervised plugins.
active: starts the supervised plugin process.inactive: stops the supervised plugin process.
External plugins cannot be managed with this endpoint and will return a bad request error.
/plugins/{plugin_instance_id}/activeAuthorization
browser In: cookie
Path Parameters
Plugin ID.
xidRequest Body
application/json
The state of the plugin, whether it is active, inactive, starting or in an error state. When plugins are added, they are initially inactive and must be activated before being used. When activating, the plugin transitions through the "starting" state while the process starts and connects. An active plugin can be deactivated or if it crashes or encounters an error, it will be set to the "restarting" state and a restart will be attempted. If this succeeds, it will transition back to "active", but if it fails again it will transition to the "error" state.
"inactive" | "starting" | "connecting" | "active" | "error" | "restarting"Response Body
application/json
application/json
curl -X PATCH "https://loading/api/plugins/cc5lnd2s1s4652adtu50/active" \ -H "Content-Type: application/json" \ -d '{ "active": "inactive" }'{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin List GET
List all plugins that are installed on the instance.
Plugin Update Configuration PATCH
Update the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.